from __future__ import absolute_import

# Required to avoid circular import in fftpack.py
import numpy

from .test_fftpack import TestFFTShift, TestFFT1D, TestFFTThreadSafe
from .test_mklfft import TestMklFft
from unittest import TestSuite

test_cases = (TestFFTShift, TestFFT1D, TestFFTThreadSafe, TestMklFft)

def load_tests(loader, tests, pattern):
    suite = TestSuite()
    for test_class in test_cases:
        tests = loader.loadTestsFromTestCase(test_class)
        suite.addTests(tests)
    return suite
